onEvent('item.tooltip', e => {
 //#region variables
 let creativeOnly = [
   'appliedenergistics2:creative_storage_cell',
   'appliedenergistics2:network_tool',
   'bloodmagic:activationcrystalcreative',
   'buildinggadgets:construction_paste_container_creative',
   'create:creative_fluid_tank',
   'create:handheld_worldshaper',
   'create:creative_crate',
   'mekanism:creative_bin',
   'rftoolspower:dimensionalcell_creative',
   'rftoolsutility:creative_screen',
   'refinedstorage:creative_storage_disk',
   'refinedstorage:creative_fluid_storage_disk',
   'refinedstorage:creative_storage_block',
   'refinedstorage:creative_fluid_storage_block',
   'storagedrawers:creative_vending_upgrade',
   'tconstruct:creative_slot',
   'draconicevolution:creative_op_capacitor'
 ]

 let formattedTooltip = (item, tooltip) => {
   e.add(item, '')
   let line = ''
   tooltip.split(' ').forEach(word => {
     line.length == 0 ? line = word : line += ` ${word}`
     if (line.length > 30) {
       e.add(item, Text.of(line).darkPurple())
       line = ''
     }
   })
   if (line.length > 0) e.add(item, Text.of(line).darkPurple())
   e.add(item, '')
 }
 //#endregion
 utils.listOf(['controller', 'creative_controller', 'grid', 'crafting_grid', 'pattern_grid', 'fluid_grid', 'network_receiver', 'network_transmitter', 'relay', 'detector', 'security_manager', 'wireless_transmitter', 'disk_manipulator', 'crafter', 'crafter_manager', 'crafting_monitor'])
   .forEach(refined => e.add(`refinedstorage:${refined}`, 'Right click or craft with a dye to color'))

 creativeOnly.forEach(item => formattedTooltip(item, 'This item is only available in Creative mode'))

 formattedTooltip('mekanism:creative_energy_cube', 'Will delete energy if not filled! Check JEI Info tab for more info on charging the cube')
 formattedTooltip('appliedenergistics2:quantum_entangled_singularity', 'To make this, you must use Ender Pearls, not Ender Dust')
 formattedTooltip('bloodmagic:strong_tau', 'Can be found in Blood Magic dungeons')

 e.add(['extradisks:infinite_storage_disk', 'extradisks:infinite_fluid_storage_disk'], [
   Text.of('Recipe disabled due to RS bug').red()
 ])

})